diff --git a/.drone.yml b/.drone.yml
index ea90032..d4f1653 100644
--- a/.drone.yml
+++ b/.drone.yml
@@ -27,6 +27,7 @@ steps:
       project: samme-blog
       entrypoint: serve.ts
       production: true
+      include: dist,serve.ts
     depends_on:
       - "Build site"
     when:
diff --git a/.vscode/settings.json b/.vscode/settings.json
index c1dddc0..d2a68f6 100644
--- a/.vscode/settings.json
+++ b/.vscode/settings.json
@@ -1,13 +1,13 @@
 {
-	"deno.enable": true,
-	"deno.lint": true,
-	"deno.unstable": true,
-	"deno.config": "./deno.json",
-	"[typescript]": {
-		"editor.defaultFormatter": "denoland.vscode-deno"
-	},
-	"deno.suggest.imports.hosts": {
-		"https://deno.land": true,
-		"https://esm.sh": true
-	}
+  "deno.enable": true,
+  "deno.lint": true,
+  "deno.unstable": true,
+  "deno.config": "./deno.json",
+  "[typescript]": {
+    "editor.defaultFormatter": "denoland.vscode-deno"
+  },
+  "deno.suggest.imports.hosts": {
+    "https://deno.land": true,
+    "https://esm.sh": true
+  }
 }
diff --git a/_config.ts b/_config.ts
index 405bc12..e26a154 100644
--- a/_config.ts
+++ b/_config.ts
@@ -5,6 +5,7 @@ import date from "lume/plugins/date.ts";
 import jsx_preact from "lume/plugins/jsx_preact.ts";
 // import lightningcss from "lume/plugins/lightningcss.ts";
 import sass from "lume/plugins/sass.ts";
+import sitemap from "sitemap";
 import svgo from "lume/plugins/svgo.ts";
 
 const site = lume({
@@ -19,9 +20,10 @@ site
   .use(date())
   .use(jsx_preact())
   // .use(mdx())
-  .use(sass())
+  .use(sass({ extensions: [".scss"] }))
   .use(codeHighlight())
   // .use(lightningcss())
+  .use(sitemap())
   .use(svgo())
   .remoteFile(
     "_includes/styles/external/nord.min.css",
diff --git a/import_map.json b/import_map.json
index d98143e..b0835cb 100644
--- a/import_map.json
+++ b/import_map.json
@@ -2,6 +2,7 @@
   "imports": {
     "lume/": "https://deno.land/x/lume@v1.12.0/",
     "preact/jsx-runtime": "https://deno.land/x/lume@v1.12.0/deps/preact_runtime.ts",
-    "preact": "https://deno.land/x/lume@v1.12.0/deps/preact.ts"
+    "preact": "https://deno.land/x/lume@v1.12.0/deps/preact.ts",
+    "sitemap": "https://raw.githubusercontent.com/lumeland/experimental-plugins/main/sitemap/sitemap.ts"
   }
 }
diff --git a/serve.ts b/serve.ts
index 5f66367..ae3c4f4 100644
--- a/serve.ts
+++ b/serve.ts
@@ -5,14 +5,14 @@ const app = new Application();
 // First we try to serve static files from the dist folder. If that fails, we
 // fall through to the router below.
 app.use(async (ctx, next) => {
-	try {
-		await ctx.send({
-			root: `${Deno.cwd()}/dist`,
-			index: "index.html",
-		});
-	} catch {
-		next();
-	}
+  try {
+    await ctx.send({
+      root: `${Deno.cwd()}/dist`,
+      index: "index.html",
+    });
+  } catch {
+    next();
+  }
 });
 
 const router = new Router();
diff --git a/src/_includes/layouts/base.tsx b/src/_includes/layouts/base.tsx
index ba0669e..d1671ac 100644
--- a/src/_includes/layouts/base.tsx
+++ b/src/_includes/layouts/base.tsx
@@ -16,9 +16,11 @@ export default ({ title, children }: PageData) => (
       <link rel="stylesheet" href="/styles/style.css" />
     </head>
     <body>
-      {/* <header>
-        {/* <Navbar /> 
-      </header> */}
+      {
+        /* <header>
+        {/* <Navbar />
+      </header> */
+      }
       <main>
         {children}
       </main>
diff --git a/src/index.md b/src/index.md
index 5330bf8..0f30bb5 100644
--- a/src/index.md
+++ b/src/index.md
@@ -17,4 +17,6 @@ It'll be ready, eventually. :)
 
 #### Plans
 
-As of now I'm using [lume.land](https://lume.land) and deploying to [Deno Deploy](https://deno.com/deploy) with a [custom Drone CI action](https://git.froth.zone/sam/drone-deno-deploy) ;)
\ No newline at end of file
+As of now I'm using [lume.land](https://lume.land) and deploying to
+[Deno Deploy](https://deno.com/deploy) with a
+[custom Drone CI action](https://git.froth.zone/sam/drone-deno-deploy) ;)
diff --git a/src/robots.txt.njk b/src/robots.txt.njk
deleted file mode 100644
index 4996dc3..0000000
--- a/src/robots.txt.njk
+++ /dev/null
@@ -1,4 +0,0 @@
-Sitemap: {{ 'sitemap.xml' | url(true) }}
-
-User-agent: *
-Disallow:
